{% extends "index.html" %}

{% block content %}
    <table class="table table-dark table-striped">
        <thead>
        <tr>
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Birthdate</th>
            <th scope="col">Groups</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
        </tr>
        </thead>
        <tbody>
        {% for teacher in object_list %}
            <tr>
                <td>{{ teacher.first_name }}</td>
                <td>{{ teacher.last_name }}</td>
                <td>{{ teacher.email }}</td>
                <td>{{ teacher.birthdate }}</td>
                <td>
                    {% for each_group in teacher.group.all %}
                        {{ each_group }}<br>
                    {% endfor %}
                </td>
                <td><a type="button" class="btn btn-warning"
                       href="{% url "teachers:update_teacher" teacher.id %}">Edit</a></td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url "teachers:delete_teacher" teacher.id %}">Delete</a></td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}